[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: binNMU for gdal and then mapserver

On Wed, Jul 16, 2008 at 12:30:48AM +0100, Adeodato Simó wrote:
> > The gdal library seems needing a rebuild with current GCC, and than
> > mapserver and other rdependencies (I guess all those that use its
> > unofficial C++ API :-/ so currently just mapserver) need to be rebuilt
> > against it.
> If this is #489124, could you mention why rebuilding will fix?

It is not clear to me currently if it was a 4.3 issue at the time
of gdal building (very beginning of July) or an (upstream? gcc?) ABI breakage, 
anyway I verified that mapsever + gdal work with optimization on
for both and current gcc. Give me some time to check more about that...

> > Oh well, I added a strict version build-dependency on libgdal1-dev
> > >>1.5.2-2 to mapserver (still to be uploaded) and that should work if
> > you scheduled a binNMU for gdal.
> I guess it's not *that* important, but I'm not a big fan of bumping
> version constraints in build-dependencies for such cases. If you'd like,
> I could set a dep-wait on the binNMUed gdal for you.
> Cheers,

That was the reason to ask :) I'm not a fan of that too ... Yes.

Francesco P. Lovergine

Reply to: